Subject: Re: What's cooking in git.git (Jun 2010, #04; Wed, 23)

From: Johannes Sixt <[email-masked]>
Date: Thu, 24 Jun 2010 13:42:56 +0200

Am 6/24/2010 13:17, schrieb Finn Arne Gangstad:
> Assume you start out with a repo that has a lot of text files with
> CRLF checked in (A).
> 
>   C----
>  /     \
> A---B---D
> 
> B: Add "* text=auto" to .gitattributes and normalize all files to LF
> only in repo
> 
> D: try to merge C
> 
> Without this patch you will get a ridiculous number of lf/crlf
> conflicts when trying to merge C into D, since the repository contents
> for C are "wrong" wrt the new .gitattributes file.

What should happen when you have C checked out (i.e., you do not yet have
the updated .gitattributes in your worktree nor index) and merge B?
Currently, you get the identical conflicts, but I suspect that the patch
does not help in this situation. IOW, it breaks the merge symmetry.

-- Hannes